Bug 115810 - KMail crashed while probably filtering in the background (backtrace)
Summary: KMail crashed while probably filtering in the background (backtrace)
Status: RESOLVED DUPLICATE of bug 113885
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 117549 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-11-06 19:58 UTC by Daniel Hahler
Modified: 2007-09-14 12:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Hahler 2005-11-06 19:58:36 UTC
Version:            (using KDE KDE 3.4.92)
Installed from:    Ubuntu Packages

I've restarted kdm and manually started Kontact again, read a mail and went to another application. While browsing there, Kontact crashed:

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1240831776 (LWP 9368)]
[KCrash handler]
#4  0xb5430df9 in KMFolder::open () from /usr/lib/libkmailprivate.so
#5  0xb56b8dac in KMFolderSearch::addSerNum ()
   from /usr/lib/libkmailprivate.so
#6  0xb56b937b in KMFolderSearch::qt_invoke ()
   from /usr/lib/libkmailprivate.so
#7  0xb689b929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#8  0xb546c8fa in KMSearch::found () from /usr/lib/libkmailprivate.so
#9  0xb55104fd in KMSearch::slotSearchFolderResult ()
   from /usr/lib/libkmailprivate.so
#10 0xb55106d8 in KMSearch::qt_invoke () from /usr/lib/libkmailprivate.so
#11 0xb689ba56 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#12 0xb5468e43 in FolderStorage::searchResult ()
   from /usr/lib/libkmailprivate.so
#13 0xb5468eb9 in KMFolderImap::slotSearchDone ()
   from /usr/lib/libkmailprivate.so
#14 0xb56bbd39 in KMFolderImap::qt_invoke () from /usr/lib/libkmailprivate.so
#15 0xb689b929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#16 0xb546d39c in KMail::SearchJob::searchDone ()
   from /usr/lib/libkmailprivate.so
#17 0xb56aacea in KMail::SearchJob::slotSearchFolder ()
   from /usr/lib/libkmailprivate.so
#18 0xb56ab578 in KMail::SearchJob::qt_invoke ()
   from /usr/lib/libkmailprivate.so
#19 0xb689ba56 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#20 0xb546accd in KMFolderImap::folderComplete ()
   from /usr/lib/libkmailprivate.so
#21 0xb546ad52 in KMFolderImap::finishMailCheck ()
   from /usr/lib/libkmailprivate.so
#22 0xb56070de in KMFolderImap::getMessagesResult ()
   from /usr/lib/libkmailprivate.so
#23 0xb5607202 in KMFolderImap::slotGetLastMessagesResult ()
   from /usr/lib/libkmailprivate.so
#24 0xb56bbee4 in KMFolderImap::qt_invoke () from /usr/lib/libkmailprivate.so
#25 0xb689b929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#26 0xb74349fa in KIO::Job::result (this=0x8d0f4c8, t0=0x8d0f4c8)
    at jobclasses.moc:162
#27 0xb74856da in KIO::Job::emitResult (this=0x8d0f4c8) at job.cpp:222
#28 0xb748584b in KIO::SimpleJob::slotFinished (this=0x8d0f4c8) at job.cpp:570
#29 0xb7485f10 in KIO::TransferJob::slotFinished (this=0x8d0f4c8)
    at job.cpp:938
#30 0xb7487482 in KIO::TransferJob::qt_invoke (this=0x8d0f4c8, _id=17, 
    _o=0xbfda394c) at jobclasses.moc:1071
#31 0xb689b929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#32 0xb689c3c4 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#33 0xb742fd59 in KIO::SlaveInterface::finished (this=0x87b1920)
    at slaveinterface.moc:226
#34 0xb749e644 in KIO::SlaveInterface::dispatch (this=0x87b1920, _cmd=104, 
    rawdata=@0xbfda3b10) at slaveinterface.cpp:243
#35 0xb7446720 in KIO::SlaveInterface::dispatch (this=0x87b1920)
    at slaveinterface.cpp:173
#36 0xb744b0f4 in KIO::Slave::gotInput (this=0x87b1920) at slave.cpp:300
#37 0xb744b289 in KIO::Slave::qt_invoke (this=0x87b1920, _id=4, _o=0xbfda3c48)
    at slave.moc:113
#38 0xb689b929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#39 0xb689c238 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#40 0xb6bfbc67 in QSocketNotifier::activated () from /usr/lib/libqt-mt.so.3
#41 0xb68bbfaa in QSocketNotifier::event () from /usr/lib/libqt-mt.so.3
#42 0xb6832f80 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#43 0xb6833172 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#44 0xb6f7deec in KApplication::notify (this=0xbfda4210, receiver=0x87b0f28, 
    event=0xbfda3f90) at kapplication.cpp:550
#45 0xb67c3db7 in QApplication::sendEvent () from /usr/lib/libqt-mt.so.3
#46 0xb6824acb in QEventLoop::activateSocketNotifiers ()
   from /usr/lib/libqt-mt.so.3
#47 0xb67d7a60 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#48 0xb684acfb in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#49 0xb684ac1e in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#50 0xb6831c13 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#51 0x0805ac7d in ?? ()
#52 0xbfda4210 in ?? ()
#53 0x00000001 in ?? ()
#54 0x00000001 in ?? ()
#55 0x00000000 in ?? ()
#56 0x00000015 in ?? ()
#57 0x0804ea9b in ?? ()
#58 0x00000008 in ?? ()
#59 0x00000004 in ?? ()
#60 0xb630dcd0 in ?? () from /usr/lib/libstdc++.so.6
#61 0xb6200908 in __malloc_initialize_hook ()
   from /lib/tls/i686/cmov/libc.so.6
#62 0x00000002 in ?? ()
#63 0x00000015 in ?? ()
#64 0x08065468 in vtable for QGList ()
#65 0xb7f90160 in ?? ()
#66 0x080c3e00 in ?? ()
#67 0x00000000 in ?? ()
#68 0x080c3b58 in ?? ()
#69 0x08177960 in ?? ()
#70 0x08177240 in ?? ()
#71 0x08185318 in ?? ()
#72 0x00000000 in ?? ()
#73 0x00000000 in ?? ()
#74 0x00000001 in ?? ()
#75 0x08079808 in ?? ()
#76 0x00000000 in ?? ()
#77 0x00000000 in ?? ()
#78 0x0819dd00 in ?? ()
#79 0x080c01f8 in ?? ()
#80 0x081606c0 in ?? ()
#81 0x08058a00 in ?? ()
#82 0x080654ec in vtable for QGList ()
#83 0x08162140 in ?? ()
#84 0x08161fa0 in ?? ()
#85 0x081816b8 in ?? ()
#86 0xb6d2e4e0 in vtable for QCString () from /usr/lib/libqt-mt.so.3
#87 0x08078590 in ?? ()
#88 0xbfda42f4 in ?? ()
#89 0x08161a70 in ?? ()
#90 0x0807a258 in ?? ()
#91 0x00000126 in ?? ()
#92 0x000001ff in ?? ()
#93 0xb6605ecc in ?? () from /usr/lib/libqt-mt.so.3
#94 0x00000000 in ?? ()
#95 0x0806cf98 in ?? ()
#96 0x08058a01 in ?? ()
#97 0x081a0af0 in ?? ()
#98 0x081a22c0 in ?? ()
#99 0xb60e09fc in ?? () from /lib/tls/i686/cmov/libc.so.6
#100 0xb60d832c in ?? () from /lib/tls/i686/cmov/libc.so.6
#101 0x080772c8 in ?? ()
#102 0x00000049 in ?? ()
#103 0xb6d11460 in ?? () from /usr/lib/libqt-mt.so.3
#104 0x00000000 in ?? ()
#105 0xb7fa6ca0 in _rtld_global () from /lib/ld-linux.so.2
#106 0xbfda42d8 in ?? ()
#107 0xb688bc5f in QAsciiDict<void>::insert () from /usr/lib/libqt-mt.so.3
#108 0xb60e9ea2 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#109 0x08058791 in ?? ()
Comment 1 Daniel Hahler 2005-11-10 01:59:47 UTC
This one is probably similar. It happened while KMail was filtering a lot of messages on an IMAP online account. It did this, because Kontact crashed before on startup and when I've started KMail alone the mails on this IMAP account seemed to be all unknown. Other IMAP online accounts were not affected by this re-scan/filtering.

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1247656256 (LWP 11377)]
[KCrash handler]
#4  0xb7c42df9 in KMFolder::open () from /usr/lib/libkmailprivate.so
#5  0xb7ecadac in KMFolderSearch::addSerNum ()
   from /usr/lib/libkmailprivate.so
#6  0xb7ecb180 in KMFolderSearch::slotSearchExamineMsgDone ()
   from /usr/lib/libkmailprivate.so
#7  0xb7ecb3f4 in KMFolderSearch::qt_invoke ()
   from /usr/lib/libkmailprivate.so
#8  0xb6221929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#9  0xb7c7afc3 in FolderStorage::searchDone ()
   from /usr/lib/libkmailprivate.so
#10 0xb7c7b02e in KMFolderImap::slotSearchDone ()
   from /usr/lib/libkmailprivate.so
#11 0xb7ecdd8d in KMFolderImap::qt_invoke () from /usr/lib/libkmailprivate.so
#12 0xb6221929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#13 0xb7c7f55c in KMail::SearchJob::searchDone ()
   from /usr/lib/libkmailprivate.so
#14 0xb7ebc566 in KMail::SearchJob::slotSearchDataSingleMessage ()
   from /usr/lib/libkmailprivate.so
#15 0xb7ebd5ae in KMail::SearchJob::qt_invoke ()
   from /usr/lib/libkmailprivate.so
#16 0xb6221929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#17 0xb6db3b99 in KIO::Job::infoMessage (this=0xdf13bb0, t0=0xdf13bb0, 
    t1=@0x9ff4a50) at jobclasses.moc:189
#18 0xb6db3c01 in KIO::SimpleJob::slotInfoMessage (this=0x0, msg=@0x9ff4a50)
    at job.cpp:603
#19 0xb6e063af in KIO::SimpleJob::qt_invoke (this=0xdf13bb0, _id=9, 
    _o=0xbf8f1e28) at jobclasses.moc:419
#20 0xb6221929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#21 0xb6221e5a in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#22 0xb6dcb87a in KIO::SlaveInterface::infoMessage (this=0x84f67e8, 
    t0=@0xbf8f1efc) at slaveinterface.moc:382
#23 0xb6e1d16c in KIO::SlaveInterface::dispatch (this=0x84f67e8, _cmd=26, 
    rawdata=@0xbf8f2010) at slaveinterface.cpp:369
#24 0xb6dc5720 in KIO::SlaveInterface::dispatch (this=0x84f67e8)
    at slaveinterface.cpp:173
#25 0xb6dca0f4 in KIO::Slave::gotInput (this=0x84f67e8) at slave.cpp:300
#26 0xb6dca289 in KIO::Slave::qt_invoke (this=0x84f67e8, _id=4, _o=0xbf8f2148)
    at slave.moc:113
#27 0xb6221929 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#28 0xb6222238 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#29 0xb6581c67 in QSocketNotifier::activated () from /usr/lib/libqt-mt.so.3
#30 0xb6241faa in QSocketNotifier::event () from /usr/lib/libqt-mt.so.3
#31 0xb61b8f80 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#32 0xb61b9172 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#33 0xb6903eec in KApplication::notify (this=0xbf8f2718, receiver=0x84f5740, 
    event=0xbf8f2490) at kapplication.cpp:550
#34 0xb6149db7 in QApplication::sendEvent () from /usr/lib/libqt-mt.so.3
#35 0xb61aaacb in QEventLoop::activateSocketNotifiers ()
   from /usr/lib/libqt-mt.so.3
#36 0xb615da60 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#37 0xb61d0cfb in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#38 0xb61d0c1e in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#39 0xb61b7c13 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#40 0x0804a3bf in ?? ()
#41 0xbf8f2718 in ?? ()
#42 0xbf8f2904 in ?? ()
#43 0xbf8f2918 in ?? ()
#44 0x0804a36e in ?? ()
#45 0xb7fddc64 in ?? ()
#46 0xbf8f27b8 in ?? ()
#47 0xb7fe67c9 in _dl_rtld_di_serinfo () from /lib/ld-linux.so.2
#48 0xb5a68ea2 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#49 0x0804a151 in ?? ()
Comment 2 Thiago Macieira 2005-12-03 03:37:35 UTC
*** Bug 117549 has been marked as a duplicate of this bug. ***
Comment 3 Thiago Macieira 2005-12-03 03:37:56 UTC
117549 was confirmed.
Comment 4 Will Stephenson 2007-03-22 17:55:39 UTC
Same bug, different manifestation, fixed this morning.

*** This bug has been marked as a duplicate of 113885 ***